<template>
  <dv-border-box-13 ref="boder">
    <div class="slot">
      <slot></slot>
    </div>
  </dv-border-box-13>
</template>

<script setup lang="ts">
import { ref, watch } from "vue";
let boder = ref();
const resetWH = () => {
  boder ? boder.value.initWH() : "";
};
//暴露子组件方法
defineExpose({ resetWH });
</script>

<style module>
.container {
}
</style>
<style scoped>
.slot {
  width: 100%;
  height: 100%;
  box-sizing: border-box;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 10px 10px 10px 10px;
}
.border-box-content {
}
</style>
